This page helps you use the Cloud Channel API create email- and domain-verified customers for Google Workspace and Chrome accounts. Verification offers [additional account security](https://support.google.com/a/answer/60216) and unlocks extra features for the account.

<br />

For more information on what features you can unlock after verifying an account,
see
[About email-verified and domain-verified accounts](https://support.google.com/chrome/a/answer/10435184).

To create a new verified customer account, use the following POST request.

    POST https://cloudchannel.googleapis.com/v1/accounts/customers

Google Workspace and Chrome offer two kinds of customers:
domain verified and email verified.

Country code restrictions apply. Confirm that the customer's country is approved
for resale.

## Create domain customers

Domain verified customers have full admin access to their domain. When you
create a verified customer, set
[`customerType`](https://docs.cloud.google.com/channel/docs/reference/rest/v1/CloudIdentityInfo#CustomerType)
to `domain`.

Your JSON request body should resemble the following:

    {
      "customerType": "domain",
      "alternateEmail": "dani@example.com",
      "phoneNumber": "(949) 555-1234",
      "languageCode": "en-US",
    }

A successful response returns an HTTP `200` status code and the following
information:

      "customerType": "domain",
      "primaryDomain": "example.com"
      "isDomainVerified": true,
      "alternateEmail": "dani@example.com",
      "phoneNumber": "(949) 555-1234",
      "languageCode": "en-US",
      "adminConsoleUri": "altostrat.com"

## Create email customers

Email verified customers don't own or manage their domain. Set
[`customerType`](https://docs.cloud.google.com/channel/docs/reference/rest/v1/CloudIdentityInfo#CustomerType)
to `team` when you create this kind of customer.

Your JSON request body should resemble the following:

    {
      "customerType": "team",
      "alternateEmail": "dani@example.com",
      "phoneNumber": "(949) 555-1234",
      "languageCode": "en-US",
    }

A successful response returns an HTTP `200` status code and the following
information:

      "customerType": "team",
      "alternateEmail": "dani@example.com",
      "phoneNumber": "(949) 555-1234",
      "languageCode": "en-US",
      "adminConsoleUri": "altostrat.com"